Applies To:

Show Versions Show Versions

Manual: BIG-IP APM Client Compatibility Matrix
Manual

Original Publication Date: 05/04/2010
Updated Date: 03/02/2017

Notice regarding F5 End of Technical Support

IMPORTANT:This version of BIG-IP software has reached the End of Technical Support milestone. This content is no longer supported or maintained. For information about the BIG-IP software lifecycle policy, see article K5903 in the AskF5 knowledge base. You can find compatibility matrices for supported versions in the BIG-IP APM Knowledge Center in AskF5.

Testing Model

F5 Networks tests the functionality of Access Policy Manager controller on the most-used platforms, and ensures compatibility with the most-used operating systems (OS), browsers, and applications.

Supported Access and Endpoint Security Features

Feature

Operating System

Windows

Linux

Mac

ActiveSync1

+

n/a

+

Anti-virus and Firewall Checker2

+

+

+

BIG-IP® Edge Client

+

n/a

n/a

Cache and Session Control

+3

n/a

n/a

Custom Dialer

+

n/a

n/a

DNS Relay Proxy Service

+

n/a

n/a

File Check

+

+

+

Windows Group Policy

+

n/a

n/a

Machine Certificate Checker

+

n/a

n/a

Network Access

+

+4

+4, 5

OS Check

+

+

+

Process Check

+

+

+

Protected Workspace

+6

n/a

n/a

Reconnect to Domain

+

n/a

n/a

Registry Check

+

n/a

n/a

Traffic Control Service

+

n/a

n/a

Virtual Keyboard

+

+

+

Web Applications

+

+

+

Windows Info

+

n/a

n/a

1 Active Sync proxying is supported. No additional authentication or rewrite support is provided by Access Policy Manager.
2 Visit www.askf5.com for a list of supported antivirus and firewall vendors
3 Cache and Session Control does not remove forms data, passwords and cookies under Firefox®
4 For Linux® and Mac OS®, the Network Access feature does not work with a proxy server. Only 32-bit Linux kernels are supported.
5 Apple® iPhone is not supported
6 Protected Workspace is supported on 64-bit versions of Windows, except on Windows XP 64-bit

OS / Browser and Browser Compatibility

All client features above are fully supported by F5 Networks on following operating systems (OS) and browsers. Other browsers can provide access to some features depending on their capabilities (for example, support for cookies and JavaScript®). Though 3rd party client products that are no longer supported by the vendor may appear in this document, F5 will not provide support for these products.

Microsoft® Windows OS

Operating System

IE 8.0

IE 7.0

Firefox® 3.x

Windows® 7

+

n/a

+

Windows® 7 64-bit (32-bit compatiblity mode)

+

n/a

+

Windows Vista® SP1

+

+

+

Windows Vista® 64-bit SP1 (32-bit compatibility mode)

+

+

+

Windows Vista® SP2

+

+

+

Windows Vista® 64-bit SP2 (32-bit compatibility mode)

+

+

+

Windows® XP SP2 ( 64-bit) +

+

+

Windows® XP SP3 ( 32-bit)

+

+

+

Microsoft® Internet Explorer is abbreviated in the tables as IE.

Linux Operating Systems

Operating system

Firefox® 3.x

Ubuntu® 9.10

+

Ubuntu® 8.04

+

Debian® 5

+

Mint 8

+

Fedora 11

+

Fedora 12

+

openSUSE® 11.2

+

Mac OS X

Operating System

Firefox® 3.x

Safari 4.x

Apple® Mac OS® X 10.6.x (Intel platform)

+

+

Apple® Mac OS® X 10.5.x (PPC and Intel platforms)

+

+

Web Applications Compatibility

The following applications were qualified for compatibility in Web Applications mode:

  • Microsoft® Outlook® Web Access (OWA) 2003, 2007, 2010
  • Microsoft® SharePoint® 2003, 2007, 2010 and Services 3.0
    • SharePoint has been tested for compatibility with MS Office 2007 for Windows on all supported combinations of Windows.
  • Microsoft® Communicator® 2007
  • IBM Lotus® Domino® Web Access 7.0 and 8.0
  • Oracle® Portal 3.0 (10g Release 2, Version 10.1.2)
  • Oracle®PeopleSoft Portal and HR Version 9
  • SAP® ERP Central Component (ECC) 2005 and SAP NetWeaver ® 7.0 (2004s) SP12

Qualified Mobile Devices

  • Windows Mobile 6, 6.1, and 6.5, using PocketIE 6.0
    Tested devices:
    • HTC Touch
    • HTC S710VOX
    • HTC Pure
    • AT&T Tilt 8900 (HTC Kaiser 110)
    • Samsung Omnia II (SCH-l920)
  • Apple® iPhone® 2.x and 3.x and iTouch® 2.x and 3.x, using Safari 3.0 and 4.0
    Tested devices:
    • iPhone Version 3.1 (7C144)
    • iTouch version 3.1.2 (7D11)

Note: The Mobile Devices listed previously have been fully qualified by F5 Networks. Other Windows® Mobile-based devices may work, but have not been explicitly qualified. Please see the BIG-IP® Edge Client™ Software Deployment Guide for Windows Mobile 5 and later on https://support.f5.com for more information on device requirements.